# pdf-annotator

pdf-annotator is a utility for quickly adding a titled header and page number to arbitrary PDF documents.

Please note that there are a couple known limitations:

- All outputted documents will be US Letter size in portrait orientation, regardless of the dimensions of the input PDF. In the case that the dimensions differ, the input contents will be centered on the page.
- Any filled form fields and comments on the input PDF will be lost. This appears to be a limitation of LaTeX's `\includepdf`.

## Usage

If you have Nix installed, you can run pdf-annotator with `nix run`.

```SH
nix run git+https://git.elnu.com/ElnuDev/pdf-annotator -- header input [output]
```

The output parameter is optional, and if excluded, the output PDF will be saved to `numbered.pdf`.

For example:

```SH
nix run git+https://git.elnu.com/ElnuDev/pdf-annotator -- "The header goes here." input.pdf output.pdf
```

### Usage without Nix

If you have the misfortune of not having [Nix](https://nixos.org/) available, ensure that the `pdflatex` command is available, which should be installed alongside `texlive-full`.

Clone the repository:

```SH
git clone https://git.elnu.com/ElnuDev/pdf-annotator && cd pdf-annotator
```

Usage:

```SH
./run.sh header input [output]
```